-------------------------------------------------------------------------------
-- ElvUI_ChatTweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-------------------------------------------------------------------------------
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("ElvUI_ChatTweaks", "enUS", true, debug)
if not L then return end

L["    When I first started using ElvUI around the beginning of Cataclysm's release I noticed that there were some chat functionality that I wanted, but wasn't included with ElvUI.  I came across Prat and Chatter, but found that they had too many modules that I didn't want and both addons do use a fair bit of memory.  So I decided to write my own version, which is when ElvUI_ChatTweaks was born.  Since then I have made sure that this addon is as bug free as possible, as well as being up to date with the latest API available, and I am constantly adding new functionality.  If there's any features you'd like to see added please contact me and I'll see what I can do.\n\nThanks,\n|cffffff00Lockslap|r"] = true
L["   |cff00ff00%s|r - %s"] = true
L["   |cff00ff00%s|r or |cff00ff00%s|r - %s"] = true
L["   |cff00ff00/ct %s|r - %s"] = true
L["   |cff00ff00/ct %s|r or |cff00ff00%s|r - %s"] = true
L["  Achievement Points\n"] = true
L["  Conquest Points\n"] = true
L["  Honor Points\n"] = true
L["  Justice Points\n"] = true
L["  Valor Points\n"] = true
L[" is loaded. Type |cff1784d1/ct|r if you need help."] = true
L[" isn't a number."] = true
L[" isn't a recognized variable or number."] = true
L[" |cFFff5a00(Upgrade)|r"] = true
L[" |cffffff00%d|r Total Modules (|cff00ff00%d|r Enabled, |cffff0000%d|r Disabled)"] = true
L["%s  Conquest Cap\n"] = true
L["%s  Justice Cap\n"] = true
L["%s  Valor Cap\n"] = true
L["%s from |cff00ff00%s|r was blocked."] = true
L["%s has casted %s."] = true
L["%s has prepared a %s."] = true
L["%s has put down a %s."] = true
L["%s is casting %s.  Click!"] = true
L["%s or %s"] = true
L["%s reputation left until %s with %s."] = true
L["%s reputation needed until %s with %s."] = true
L["%s, %s, %s  Player's Money\n"] = true
L["%s, %s, %s  Player's Stats\n"] = true
L[", removing from list"] = true
L["/tt"] = true
L["<notarget>"] = true
L["A simple calculator used to perform basic operations on gold values.  Providing no parameters will show you how much gold you have.\n\nYou can include your current gold amount by using the |cff00ff00mymoney|r keyword.  For example |cff00ff00mymoney * 2|r.\n\n|cffff0000Money amounts can only be added or subtracted, multiplication or division can only be performed with money and a number.  For example:  4g * 4 is okay, where 4g * 4g is invalid."] = true
L["A simple command-line calculator.  Certain keywords, listed below, can be used and their in game value will be substituted.  You can also assign variables which are saved for later use.\n\n|cffffff00Keywords:|r\n"] = true
L["AFK"] = true
L["AFK Messages"] = true
L["AFK/DND Filter"] = true
L["ALTERNATE"] = true
L["Abbreviate your favourites to save typing. Format is short1:long1, short2:long2, ... shortN:longN."] = true
L["Abbreviations"] = true
L["About"] = true
L["Achievement Filter"] = true
L["Achievement Messages"] = true
L["Action"] = true
L["Action to take when an icon is found."] = true
L["Active Modules"] = true
L["Add Group Trigger"] = true
L["Add Guild Trigger"] = true
L["Add an |cff00ff00/emotes|r command to see what custom emotes you currently have running."] = true
L["Add custom emotes.  Please remember that your character's name will always be the first word.\n\n|cff00ff00%t|r is your current target."] = true
L["Add item icons to loot received messages."] = true
L["Add surrounding brackets to own charname in messages."] = true
L["Add word to your group invite trigger list"] = true
L["Add word to your guild invite trigger list."] = true
L["Add |cff00ff00/emotes|r Command"] = true
L["Addon Messages"] = true
L["Addon Version Sent, Version: |cffffff00%s|r"] = true
L["Adds a minimap button.\n\n|cffffff00To disable the button, simply disable this module.|r"] = true
L["Adds a timestamp to each line of text."] = true
L["Adds an ElvUI datatext for this addon."] = true
L["Adds chat commands to clear the chat windows.\n\n"] = true
L["Adds chat commands |cff1784d1/chatframes|r and |cff1784d1/cf|r to help you identify the chat frames and their numbers."] = true
L["Adds item links to Auction House messages.  Enabling this module will automatically disable the Auction Message Filter module.\n\n|cffff0000If you do not have the item in your bags at the time of the system message firing then this will not be able to get the item link.  This is a limitation of the|r |cffffff00GetItemInfo()|r |cffff0000API function.  If this occurs, then the module will simple pass through the default message.|r"] = true
L["Adds tell target slash command, |cff00ff00/tt|r."] = true
L["Adds the |cff00ff96/find|r and |cff00ff96/findall|r commands to search the chat history.\n\nUsage:\n    |cff00ff96/find <text>|r\n    |cff00ff96/findall <text>|r"] = true
L["After"] = true
L["Alchemy"] = true
L["All"] = true
L["All Modules"] = true
L["Allow someone to request a link of all your professions."] = true
L["Allows you to change the default font settings for the chat frames.\n\n|cffff0000Using another addon to do this will break this functionality.|r"] = true
L["Allows you to color the pet battle info messages, and determine which chat frame to send them to.\n\nI am aware that some of the features of this module don't really pertain to the chat, but I couldn't really justify an entirely new addon.  So I just snuck them into here."] = true
L["Allows you to reroute auction house messages to a different chat frame."] = true
L["Allows you to spam a message to General or Trade chat every X seconds.  Useful for guild recruitment or profession links."] = true
L["Allows you to strip certain links from channels of your choice."] = true
L["Alt Names"] = true
L["Alt note fallback"] = true
L["Alt-click name to invite"] = true
L["Alternate"] = true
L["Alternate command to kick someone from guild."] = true
L["Announce when a mage begins casting Ritual of Refreshment."] = true
L["Announce when a warlock puts down a soulwell."] = true
L["Announce when a warlock puts down a summoning stone."] = true
L["Announce when an alchemist puts down a (Big) Cauldron of Battle."] = true
L["Announce when an engineer puts down a repair bot."] = true
L["Announce when someone casts Mass Ressurection, obtained when your guild reaches level 25."] = true
L["Announce when someone puts down a feast."] = true
L["Are you sure you want to delete all your saved class/level data?"] = true
L["Are you sure you want to disable all of the modules?"] = true
L["Are you sure you want to enable all of the modules?"] = true
L["Are you sure you want to reset the chat fonts to defaults?"] = true
L["As I see it, yes."] = true
L["Ask again later."] = true
L["Auction Expired"] = true
L["Auction Message Filtering"] = true
L["Auction Message Types"] = true
L["Auction Outbid"] = true
L["Auction Removed"] = true
L["Auction Sold"] = true
L["Auction Won"] = true
L["Auto Congratulate"] = true
L["Auto Ding"] = true
L["Auto Farewell"] = true
L["Auto Profession Link"] = true
L["Auto Welcome"] = true
L["Automatic Chat Logging"] = true
L["Automatically Remove Item When Finished"] = true
L["Automatically bid someone farewell when they leave your guild."] = true
L["Automatically congratulate someone when they, or others, complete an achievement."] = true
L["Automatically congratulates someone when they say \"ding\" in chat."] = true
L["Automatically enable tracking of Stable Masters to help you revive and/or heal your pets."] = true
L["Automatically enable tracking of pets for battles."] = true
L["Automatically enables chat logging."] = true
L["Automatically link someone the profession they requested via various keywords."] = true
L["Automatically welcomes someone to your guild."] = true
L["Available Chat Command Arguments"] = true
L["Available Substitutions"] = true
L["Available parameters are |cff1784d1version|r, |cff1784d1build|r, |cff1784d1date|r, |cff1784d1interface|r, |cff1784d1locale|r."] = true
L["Battle.Net Options"] = true
L["Battleground"] = true
L["Battleground Channel"] = true
L["Battleground Leader"] = true
L["Before"] = true
L["Better not tell you now."] = true
L["Bid Accepted"] = true
L["Blacksmithing"] = true
L["Build Date: |cff1784d1%s|r"] = true
L["Build: |cff1784d1%s|r"] = true
L["Busy"] = true
L["Calculator"] = true
L["Can't set value '%s', doesn't look like a number."] = true
L["Cannot predict now."] = true
L["Capture Delay"] = true
L["Cauldron of Battle"] = true
L["Center"] = true
L["Changed Channel"] = true
L["Channel"] = true
L["Channel %d"] = true
L["Channel Colors"] = true
L["Channel Notice Filter"] = true
L["Channel Sounds"] = true
L["Channel Spam"] = true
L["Channel Spam has been |cff%s%s|r."] = true
L["Channel Spam is already running."] = true
L["Channel to output the messages to."] = true
L["Channel to send the reminder to."] = true
L["Channels"] = true
L["Channels to Monitor"] = true
L["Channels to Watch"] = true
L["Channels to look for questions."] = true
L["Character to use between the name and level"] = true
L["Character to use for the left bracket"] = true
L["Character to use for the right bracket"] = true
L["Chat"] = true
L["Chat Events"] = true
L["Chat Fading"] = true
L["Chat Fonts"] = true
L["Chat Frame"] = true
L["Chat Frame "] = true
L["Chat Frame %d"] = true
L["Chat Frame Settings"] = true
L["Chat Tweaks"] = true
L["Chat frame to output the message to.  Default is |cffffff00ChatFrame3|r, which is the default frame for ElvUI XP messages."] = true
L["Chat frame to output the messages.  Default is ChatFrame3, which is the default output frame for reputation messages in ElvUI."] = true
L["Chat frame to route the auction house messages to."] = true
L["Chat frame to route the messages to."] = true
L["Chat frame to send the messages to."] = true
L["Chat message"] = true
L["Chat message with icons"] = true
L["ChatFrame %d"] = true
L["Chats To Monitor"] = true
L["Cheats Color"] = true
L["Choose which chat frames display timestamps"] = true
L["Class"] = true
L["Clear Chat Commands"] = true
L["Clear all chat windows."] = true
L["Clear current chat."] = true
L["Click to reset the materials you're tracking."] = true
L["Click to send the reminder to the select channel that the Magic 8-Ball is listening."] = true
L["Client Locale: |cff1784d1%s|r"] = true
L["Coin Size"] = true
L["Color"] = true
L["Color Anywhere"] = true
L["Color Cheats"] = true
L["Color Loss"] = true
L["Color Name"] = true
L["Color Player Names By..."] = true
L["Color Rolls"] = true
L["Color Win"] = true
L["Color Your Rolls"] = true
L["Color a roll game loss, aka when you roll a one (1)."] = true
L["Color a roll game win, aka when someone else rolls a one (1)."] = true
L["Color by Channel"] = true
L["Color level by difficulty"] = true
L["Color of other's rolls."] = true
L["Color of the base reputation messages."] = true
L["Color of the faction."] = true
L["Color of the output message."] = true
L["Color of the reputation needed/left."] = true
L["Color of the standing (honored, revered, etc.)."] = true
L["Color own charname in messages."] = true
L["Color regular rolls by others."] = true
L["Color rolls differently to make tracking the roll game easier on the eyes."] = true
L["Color rolls that do not start at 1."] = true
L["Color self in messages"] = true
L["Color the messages by the channel the message came from."] = true
L["Color the name of the pets during a pet battle relative to their rarity.  If you have the pet you're currently battling it will also add the quality of the pet you have in your journal."] = true
L["Color the player names anywhere they're found."] = true
L["Color timestamps the same as the channel they appear in."] = true
L["Color to change the filtered message to.\n\n|cffff0000Only works when Filtering Mode is set to |cff00ff00Colorize|r."] = true
L["Color to designate a cheating roll."] = true
L["Color to designate a roll game loss."] = true
L["Color to designate a roll game win."] = true
L["Color to use for your rolls."] = true
L["Color your rolls to set them apart."] = true
L["Colorize"] = true
L["Combined"] = true
L["Command Help"] = true
L["Compress"] = true
L["Concentrate and ask again."] = true
L["Congratulate achievements earned by guildmates."] = true
L["Congratulate achievements earned by people in your party."] = true
L["Congratulate achievements earned by people in your raid."] = true
L["Congratulate achievements earned by people near you."] = true
L["Congratulations Messages"] = true
L["Cooking"] = true
L["Crap Cleaner"] = true
L["Creates a button to click that will return you to the bottom of the chat frame."] = true
L["Custom Chat Filters"] = true
L["Custom Emote: |cffffff00%s|r"] = true
L["Custom Emotes"] = true
L["Custom Named Chat Filters"] = true
L["Custom chat filters."] = true
L["Custom color"] = true
L["Custom format (advanced)"] = true
L["DND Messages"] = true
L["Damage Meters"] = true
L["Datatext"] = true
L["Datatext Display"] = true
L["Date"] = true
L["Day"] = true
L["Death Knight"] = true
L["Default Name Color"] = true
L["Default font face for the chat frames."] = true
L["Default font outline for the chat frames."] = true
L["Default font size for the chat frames."] = true
L["Destroys all your saved class/level data"] = true
L["Determines if a chat message is deemed spam, at which point it can be filtered and the person reported."] = true
L["Developer Tools"] = true
L["Ding Messages"] = true
L["Disable All Modules"] = true
L["Disable if..."] = true
L["Disable while you're AFK flagged."] = true
L["Disable while you're DND flagged."] = true
L["Disabled"] = true
L["Disabled Modules"] = true
L["Disabled |cff00ff96%s|r module."] = true
L["Displays reputation numbers and progress in the chat frame."] = true
L["Do Nothing"] = true
L["Do not use alphanumerical characters."] = true
L["Do you want to automatically remove an item when you meet your quota?"] = true
L["Don't Report"] = true
L["Don't count on it."] = true
L["Dont Always Run"] = true
L["Druid"] = true
L["Editbox History"] = true
L["ElvUI ChatTweaks"] = true
L["ElvUI_ChatTweaks: You need to be level %d to whisper me.  Currently you are level %d!"] = true
L["Emote"] = true
L["Emote Filter"] = true
L["Emphasize Self"] = true
L["Enable"] = true
L["Enable "] = true
L["Enable All Modules"] = true
L["Enable Debugging"] = true
L["Enable this to give the module a percent chance to run to prevent spam/annoyances.  If disabled the module will always congratulate."] = true
L["Enable this to give the module a percent chance to run to prevent spam/annoyances.  If disabled the module will always run."] = true
L["Enable this to give the module a percent chance to run to prevent spam/annoyances.  If disabled the module will always welcome."] = true
L["Enable to filter custom emotes made using |cff00ff00/emote|r or |cff00ff00/e|r."] = true
L["Enable to filter standard emotes such as |cff00ff00/dance|r or |cff00ff00/flirt|r."] = true
L["Enable various debugging messages to help with errors or undesired functioning."] = true
L["Enabled"] = true
L["Enabled Modules"] = true
L["Enabled |cff00ff96%s|r module."] = true
L["Enables you to right-click a person's name in chat and set a note on them to be displayed in chat, such as their main character's name.  Can also scan guild notes for character names to display, if no note has been manually set."] = true
L["Enchanting"] = true
L["Engineering"] = true
L["Enter a custom time format. See http://www.lua.org/pil/22.1.html for a list of valid formatting symbols."] = true
L["Exclude level display for max level characters"] = true
L["Exclude max levels"] = true
L["Execution Interval"] = true
L["Faction Color"] = true
L["Feasts"] = true
L["Female"] = true
L["Filter"] = true
L["Filter AFK messages."] = true
L["Filter AFK/DND auto responses.  This module is compatible with WIM."] = true
L["Filter Color"] = true
L["Filter DND messages."] = true
L["Filter Entire Line"] = true
L["Filter Guild Achievements"] = true
L["Filter Line"] = true
L["Filter Nearby Achievements"] = true
L["Filter Raid Icons"] = true
L["Filter Triggers"] = true
L["Filter achievement message spam!"] = true
L["Filter achievements earned by guildmates."] = true
L["Filter achievements earned by nearby people."] = true
L["Filter annoying phrases in chat."] = true
L["Filter by Player Level"] = true
L["Filter changed channel message."] = true
L["Filter guild invites."] = true
L["Filter guild recruitment messages in chat."] = true
L["Filter guild recruitment whispers."] = true
L["Filter joined channel message."] = true
L["Filter left channel message."] = true
L["Filter out raid icons in chat."] = true
L["Filter spam throttle notices."] = true
L["Filter standard and/or custom emotes."] = true
L["Filter the Auction Expired message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Outbid message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Removed message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Sold message.\n\n|cffffff00%s|r"] = true
L["Filter the Auction Won message.\n\n|cffffff00%s|r"] = true
L["Filter the Bid Accepted message.\n\n|cffffff00%s|r"] = true
L["Filter the line containing the question."] = true
L["Filter whispers based on the sender's level."] = true
L["Filtering Mode"] = true
L["Filters"] = true
L["Filters guild recruitment spam in whispers or chat.  Can also block guild invites."] = true
L["Filters out Auction House system messages."] = true
L["Filters the channel notices."] = true
L["First message to send.  You can include links.\n\n|cffffffMake sure you hit [ENTER] after you finish typing your message.|r"] = true
L["Font Color"] = true
L["Font Face"] = true
L["Font Size"] = true
L["Frame scraping timeout exceeded, results will be incomplete."] = true
L["Frame to output the messages to."] = true
L["Frame to send the addon messages to."] = true
L["Friends"] = true
L["GInvite Alternate Command"] = true
L["GKick Command"] = true
L["GKick Target: |cffffff00%s|r"] = true
L["General"] = true
L["Gives you more flexibility in how you invite people to your group and guild."] = true
L["Gold Calculator"] = true
L["Group"] = true
L["Group Invite Links"] = true
L["Group Say Command"] = true
L["Guild"] = true
L["Guild Channel"] = true
L["Guild Chat"] = true
L["Guild Invite Links"] = true
L["Guild Messages"] = true
L["Guild Options"] = true
L["Guild Spam"] = true
L["Guildmates"] = true
L["HH:MM (12-hour)"] = true
L["HH:MM (24-hour)"] = true
L["HH:MM:SS (24-hour)"] = true
L["HH:MM:SS AM (12-hour)"] = true
L["Here you can select which channels this module will scan for the keygroupWords to trigger the invite."] = true
L["Hide the spam blocked message asking you to report the person."] = true
L["Highlight Color"] = true
L["Highlight Term"] = true
L["Highlight the search term in the results."] = true
L["Hook Tooltip"] = true
L["Hook the GameTooltip to add information to pet tooltips."] = true
L["Hour (12hr)"] = true
L["Hour (24hr)"] = true
L["How to filter any matches."] = true
L["Hunter"] = true
L["I am |cff1784d1%s|r"] = true
L["Icon Action"] = true
L["Icon Orientation"] = true
L["Icon Size"] = true
L["Icon to the left or right of the item link."] = true
L["Identify Chat Frames"] = true
L["If a keyword is found should the module filter the line?"] = true
L["If no name can be found for an 'alt' rank character, use entire note"] = true
L["Improve the Auction Expired message.\n\n|cffffff00%s|r"] = true
L["Improve the Auction Outbid message.\n\n|cffffff00%s|r"] = true
L["Improve the Auction Removed message.\n\n|cffffff00%s|r"] = true
L["Improve the Auction Sold message.\n\n|cffffff00%s|r"] = true
L["Improve the Auction Won message.\n\n|cffffff00%s|r"] = true
L["Improved Auction Messages"] = true
L["In Command"] = true
L["Inactive Modules"] = true
L["Include level"] = true
L["Include the player's level"] = true
L["Inscription"] = true
L["Instance"] = true
L["Instance Leader"] = true
L["Invalid format found on entry \"%s\"."] = true
L["Invite Links"] = true
L["Invites"] = true
L["It is certain."] = true
L["It is decidedly so."] = true
L["Jewelcrafting"] = true
L["Joined Channel"] = true
L["Just one character."] = true
L["Keeps your channel colors by name rather than by number."] = true
L["Keybinds"] = true
L["Leatherworking"] = true
L["Left"] = true
L["Left Bracket"] = true
L["Left Channel"] = true
L["Left Click"] = true
L["Lets you alt-click player names to invite them to your party."] = true
L["Lets you set the justification of text in your chat frames."] = true
L["Level Location"] = true
L["Level wasn't a number, tell Lockslap. Level was |cffff0000%s|r!"] = true
L["Level: |cffffff00%s|r, Message: |cffffff00%s|r"] = true
L["Link All Professions"] = true
L["Link Types"] = true
L["Logs the lines that are filtered by the |cff00ff96%s|r, |cff00ff96%s|r, |cff00ff96%s|r, and |cff00ff96%s|r modules."] = true
L["Look in guildnotes for character names, unless a note is set manually"] = true
L["Loot Icons"] = true
L["Loss Color"] = true
L["MM:SS"] = true
L["Mage"] = true
L["Magic 8-Ball"] = true
L["Magic 8-Ball Says: I am ready to answer your questions!  Do \"%s <question>\" to ask me a question."] = true
L["Magic 8-Ball says: %s"] = true
L["Male"] = true
L["Mass Ressurection"] = true
L["Material Quantities"] = true
L["Materials Farming"] = true
L["Materials to Track"] = true
L["Maximum Delay"] = true
L["Maximum time, in seconds, to wait before announcing."] = true
L["Maximum time, in seconds, to wait before bidding someone farewell."] = true
L["Maximum time, in seconds, to wait before congratulating someone."] = true
L["Maximum time, in seconds, to wait before welcoming someone."] = true
L["Maximum time, in seconds, to wait before whispering someone the link."] = true
L["Message Color"] = true
L["Message Settings"] = true
L["Message color."] = true
L["Message highlight color."] = true
L["Messages for when multiple people complete achievements.  A random one will always be selected.\n\n|cffff0000Wildcards do not apply for multiple achievements.|r"] = true
L["Messages for when someone completes an achievement.  A random one will always be selected.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r  - Name of the person.\n|cff00ff00#achieve#|r - Achievement they completed."] = true
L["Messages to use in guild chat when someone leaves your guild.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Person who left.\n|cff00ff00#guild#|r - Name of your guild."] = true
L["Messages to use in the whisper when someone leaves your guild.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Person who left.\n|cff00ff00#guild#|r - Name of your guild."] = true
L["Messages to use when someone joins your guild.\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Person who joined.\n|cff00ff00#guild#|r - Name of your guild."] = true
L["Messages to use when someone says \"ding\".\n\n|cffFA6400Wildcards|r\n|cff00ff00#name#|r - Who said ding.\n|cff00ff00#guild#|r - Their current level."] = true
L["Method by which to send the messages.\n\n|cffff00Alternate is alternating between the two messages.\nCombined is both messages at once.\nRandom will randomly pick one of the messages to send.|r"] = true
L["Minimap Button"] = true
L["Minimum DK Level"] = true
L["Minimum Delay"] = true
L["Minimum Level"] = true
L["Minimum level for a Death Knight to be in order to whisper you."] = true
L["Minimum level for a non-Death Knight to be in order to whisper you."] = true
L["Minimum level required for an achievement to not be filtered."] = true
L["Minimum time, in seconds, to wait before announcing."] = true
L["Minimum time, in seconds, to wait before bidding someone farewell."] = true
L["Minimum time, in seconds, to wait before congratulating someone."] = true
L["Minimum time, in seconds, to wait before welcoming someone."] = true
L["Minimum time, in seconds, to wait before whispering someone the link."] = true
L["Minute"] = true
L["Module"] = true
L["Monitor Chat Events"] = true
L["Monitor guild chat."] = true
L["Monitor party chat."] = true
L["Monitor raid chat."] = true
L["Monitor say chat."] = true
L["Monitor text in this channel for link triggers."] = true
L["Monitor whispers."] = true
L["Monitor yell chat."] = true
L["Monster Emote"] = true
L["Monster Say"] = true
L["Month"] = true
L["Most likely."] = true
L["Multiple Achievement Messages"] = true
L["Multiple Invite Command"] = true
L["My reply is no."] = true
L["My sources say no."] = true
L["Name"] = true
L["Name color"] = true
L["Nearby People"] = true
L["New Version Notify"] = true
L["No"] = true
L["No RealNames"] = true
L["No custom emotes are currently being used."] = true
L["NoTarget"] = true
L["None"] = true
L["Not Found"] = true
L["Not tracking %s."] = true
L["Notifies the raid/party when someone places down a feast, cauldron, or repair bot."] = true
L["Notify on Filter"] = true
L["Notify on new release?"] = true
L["Notify you when a message is filtered."] = true
L["Notify you when a message/whisper is filtered."] = true
L["Num Channels"] = true
L["Numbered Channels"] = true
L["Officer"] = true
L["Officer Channel"] = true
L["Officer Chat"] = true
L["One or more of the changes you have made require you to reload your UI."] = true
L["Only filter achievements earned by players below a certain level."] = true
L["Only make these announcements if you are a raid assistant."] = true
L["Open Config"] = true
L["Opens configuration window."] = true
L["Other Channels"] = true
L["Ouput Frame"] = true
L["Outline"] = true
L["Outlook good."] = true
L["Outlook not so good."] = true
L["Output Channel"] = true
L["Output Color"] = true
L["Output Frame"] = true
L["Output Message Every..."] = true
L["Output To..."] = true
L["Output color of the rerouted messages."] = true
L["Output the message every X times you gain XP."] = true
L["Paladin"] = true
L["Parameter: |cffffff00%s|r"] = true
L["Party"] = true
L["Party Channel"] = true
L["Party Leader"] = true
L["Party Members"] = true
L["Percent Chance"] = true
L["Perhaps you meant '*' (multiplication)?"] = true
L["Pet Battle Info"] = true
L["Pet Battles"] = true
L["Pet Combat Log"] = true
L["Place the level before or after the player's name."] = true
L["Play Sound"] = true
L["Play a sound when it pops up."] = true
L["Player Level"] = true
L["Player Names"] = true
L["Player level display options."] = true
L["Player's Average iLvl"] = true
L["Player's Class"] = true
L["Player's Gender"] = true
L["Player's Health"] = true
L["Player's Health Deficit"] = true
L["Player's Health Percent"] = true
L["Player's Location"] = true
L["Player's Mana"] = true
L["Player's Mana Deficit"] = true
L["Player's Mana Percent"] = true
L["Player's Max Health"] = true
L["Player's Max Mana"] = true
L["Player's Name"] = true
L["Player's X-Coordinate"] = true
L["Player's Y-Coordinate"] = true
L["Player's Zone"] = true
L["Players Level"] = true
L["Plays a sound, of your choosing (via LibSharedMedia-3.0), whenever a message is received in a given channel."] = true
L["Please DON'T use this. Reporting the spam is what gets the hacked accounts used by\nthe spammers closed down and realms cleaned up. Also, if many people report a spammer,\nthen that spammer looses the ability to chat meaning they can no longer spam, this benefits\neveryone."] = true
L["Popup"] = true
L["Popup Messages"] = true
L["PopupMessage"] = true
L["Prefix Character"] = true
L["Priest"] = true
L["Print Addon Version"] = true
L["Print hidden addon messages in a chat frame.  This can be useful to debugging addon issues."] = true
L["Print this again."] = true
L["Prints a message in the chat with your remain XP needed to level up."] = true
L["Prints module status."] = true
L["Provides a /gr slash command to let you speak in your group (raid, party, or battleground) automatically."] = true
L["Provides a /in command to delay the execution of code in macros and other settings."] = true
L["Provides a few tools to help me (Lockslap), develop this addon as well as diagnose and fix any errors that are reported.\n\n|cff00ff00You can leave this addon disabled unless I (Lockslap) ask you to enable it for some debugging.|r"] = true
L["Provides a |cff00ff00/gkick|r command, as it should be."] = true
L["Provides basic chat subtitutions."] = true
L["Provides keybinds to make talking in a specific chat easier."] = true
L["Provides options to color player names, add player levels, and add tab completion of player names."] = true
L["Provides |cff00ff00/ginv|r, an alternative to |cff00ff00/ginvite|r command, for us lazy folks."] = true
L["Provides |cff00ff00/minv|r to invite multiple people at once. Also adds custom abbreviations for characters which are invited often.\n\nModule Written by Björn Benjamin Hiller <bjoern.hiller@gmail.com>"] = true
L["Put each emote on a separate line.\nSeparate the command from the text with a colon (\":\")."] = true
L["Quality Notification"] = true
L["RANDOM"] = true
L["Raid"] = true
L["Raid Assistant"] = true
L["Raid Boss Emote"] = true
L["Raid Channel"] = true
L["Raid Helper"] = true
L["Raid Leader"] = true
L["Raid Members"] = true
L["Raid Warning"] = true
L["Raid Warning Channel"] = true
L["Random"] = true
L["Random Number"] = true
L["RealID Brackets"] = true
L["RealID Conversation"] = true
L["RealID Whisper"] = true
L["Really remove this word from your trigger list?"] = true
L["Remembers the history of the editbox across sessions."] = true
L["Reminder"] = true
L["Remove"] = true
L["Remove Group Trigger"] = true
L["Remove Guild Trigger"] = true
L["Remove Icon Only"] = true
L["Remove a word from your group invite trigger list"] = true
L["Remove a word from your guild invite trigget list."] = true
L["Repair Bot"] = true
L["Repeat Command"] = true
L["Repeat Question"] = true
L["Repeat the question when giving a response."] = true
L["Replace"] = true
L["Reply hazy, try again."] = true
L["Reported by %s"] = true
L["Reputation"] = true
L["Reputation Color"] = true
L["Reroute Auction Messages"] = true
L["Reset"] = true
L["Reset ChatFrame text justifications to defaults (left)."] = true
L["Reset Data"] = true
L["Reset Font Data"] = true
L["Reset Materials"] = true
L["Reset Text Justitification"] = true
L["Resets all chat frames to their original font settings."] = true
L["Respond to Whispers"] = true
L["Respond to whispers notifying them that they don't meet the level requirement."] = true
L["Right"] = true
L["Right Bracket"] = true
L["Right Click"] = true
L["Ritual of Refreshment"] = true
L["Ritual of Souls"] = true
L["Ritual of Summoning"] = true
L["Rogue"] = true
L["Roll Color"] = true
L["Roll Pattern: |cffffff00%s|r"] = true
L["STARTED"] = true
L["STOPPED"] = true
L["Save Data"] = true
L["Save all /who data"] = true
L["Save class data from /who queries between sessions."] = true
L["Save class data from friends between sessions."] = true
L["Save class data from groups between sessions."] = true
L["Save class data from guild between sessions."] = true
L["Save class data from target/mouseover between sessions."] = true
L["Save data between sessions. Will increase memory usage"] = true
L["Say"] = true
L["Say Chat"] = true
L["Scrape Time"] = true
L["Scroll Reminder"] = true
L["Search"] = true
L["Search Results |cff9382c9(%d Found)|r:"] = true
L["Search Results:"] = true
L["Search term is too short."] = true
L["Second"] = true
L["Second message to send.  You can include links.\n\n|cffffffMake sure you hit [ENTER] after you finish typing your message.|r"] = true
L["Select a color for this channel."] = true
L["Select a method for coloring player names"] = true
L["Select the channels you want monitored."] = true
L["Select the channels you want to monitor."] = true
L["Select the custom color to use for alt names"] = true
L["Select which factions you would like to receive notifications for."] = true
L["Send Guild Messages"] = true
L["Send Reminder"] = true
L["Send Whisper"] = true
L["Send a tell to your target."] = true
L["Send a whisper to the person who left."] = true
L["Send messages as a raid warning.  |cffffff00Only applies if you are the raid leader, or an assistant.|r"] = true
L["Send messages to guild chat when someone leaves."] = true
L["Separator"] = true
L["Set Main"] = true
L["Set the coloring mode for alt names"] = true
L["Set the message color.  This only applies if |cff00ff96Color by Channel|r is disabled or if there is no color for the channel."] = true
L["Set the sound to play."] = true
L["Settings"] = true
L["Shaman"] = true
L["Shift + Left Click"] = true
L["Shift + Right Click"] = true
L["Show Percentage"] = true
L["Show Rested XP"] = true
L["Show Spam Popup"] = true
L["Show Total XP"] = true
L["Show a report player popup (showing the spam) instead of printing in chat"] = true
L["Show current to total XP percentage."] = true
L["Show remaining rested XP."] = true
L["Show the total number of modules on the datatext."] = true
L["Show toon names instead of real names"] = true
L["Show total XP needed to level."] = true
L["Show welcome message when logging in."] = true
L["Shows messages in a popup frame."] = true
L["Signs point to yes."] = true
L["Similar to the |cffffffIn Command|r module, except it will repeat the command X times."] = true
L["Size of the coin icons.  Generally you want to use your font size or smaller."] = true
L["Smart Group Channel"] = true
L["Sound"] = true
L["Sound to play when a message in %s is received.\n\n|cff00ff00To disable set to \"None\"|r."] = true
L["Spam Delay"] = true
L["Spam Filter"] = true
L["Spam Interval"] = true
L["Spam Log"] = true
L["Spam Mode"] = true
L["Spam Throttle"] = true
L["Spam interval changed to |cffffff00%d|r"] = true
L["Standard Emote: |cffffff00%s|r"] = true
L["Standard Emotes"] = true
L["Standing Color"] = true
L["Start"] = true
L["Stop"] = true
L["Strip Links"] = true
L["Strip RealID brackets"] = true
L["Substitutions"] = true
L["Suppress"] = true
L["Suppress Recount/Skada/TinyDPS output into a clickable link, or filter it entirely."] = true
L["Suppress report message."] = true
L["Symbol: |cffffff00%s|r"] = true
L["TOC Version: |cff1784d1%s|r"] = true
L["Tailoring"] = true
L["Talk to your group based on party/raid status."] = true
L["Target's Class"] = true
L["Target's Gender"] = true
L["Target's Health"] = true
L["Target's Health Deficit"] = true
L["Target's Health Percent"] = true
L["Target's Level"] = true
L["Target's Mana"] = true
L["Target's Mana Deficit"] = true
L["Target's Mana Percent"] = true
L["Target's Max Health"] = true
L["Target's Max Mana"] = true
L["Target's Name"] = true
L["Target/Mouseover"] = true
L["Target: |cffffff00%s|r"] = true
L["Tell Target"] = true
L["Text Justification"] = true
L["Text justification for ChatFrame %d."] = true
L["Text to trigger the addon to answer a question."] = true
L["The amount of each material you'd like to farm.  If you want an unlimited amount simply put a 0.  You must add a quantity for every entry, and it must correspond to the same line in the other box."] = true
L["The character in front of abbreviations to be recognised as such."] = true
L["The classic Magic 8-Ball brought to World of Warcraft!"] = true
L["The color to highlight the search term."] = true
L["The default color to use to color names."] = true
L["The interval must be a |cff00ff00%s|r between |cff00ff00%d|r and |cff00ff00%d|r."] = true
L["The name or ID of the material you'd like to track."] = true
L["The percent chance the module has to bid someone farewell.  Higher the chance, the more likely it is to run.  This is a means to throttle, so as to prevent spam/annoyances."] = true
L["The percent chance the module has to congratulate someone.  Higher the chance, the more likely it is to run.  This is a means to throttle, so as to prevent spam/annoyances."] = true
L["The percent chance the module has to welcome someone.  Higher the chance, the more likely it is to run.  This is a means to throttle, so as to prevent spam/annoyances."] = true
L["The size of the icon in the chat frame."] = true
L["The time, in seconds, it takes for the same person to trigger the addon again."] = true
L["The time, in seconds, it takes for the same person to trigger the addon by saying ding."] = true
L["These are the keywords that the addon will look for first, when it finds a match then it will look for the actual profession being requested."] = true
L["Thick Outline"] = true
L["Things to Track"] = true
L["This addon is designed to add a lot of the functionality of full fledged chat addons like Prat or Chatter, but without a lot of the unneeded bloat.  I wrote it to be as lightweight as possible, while still powerful enough to accomplish it's intended function.\n"] = true
L["This module is for named channels only.  Allows you to filter certain words or phrases using Lua's pattern matching. For an item, achievement, spell, etc. just use the name of the item, don't try to link it.\n\nFor more information see this addon's Curse page."] = true
L["This module is for numbered channels only.  Allows you to filter certain words or phrases using Lua's pattern matching. For an item, achievement, spell, etc. just use the name of the item, don't try to link it.\n\nFor more information see this addon's Curse page."] = true
L["This module will send a chat message every time you loot an item on your list with how many you have, and if applicable it will tell you how many more you need based on your set quantity.  This is useful if you need X amount of Y to be able to cook Z."] = true
L["This will disable the ChatFrames annoying habit of having the chat text fade away after a certain amount of time."] = true
L["Throttle"] = true
L["Throttle Interval"] = true
L["Throttle Messages"] = true
L["Throttle output messages to prevent spam."] = true
L["Throttle to only answer a question every X seconds, to prevent spam.\n\n|cffff0000Not recommended to disable this.|r"] = true
L["Time"] = true
L["Time, in seconds, between messages being sent."] = true
L["Time, in seconds, in between running the command."] = true
L["Time, in seconds, the module will wait after the first line is found to assume it is complete.\n\n|cffffff00One (1) second seems to work.|r"] = true
L["Time, in seconds, to throttle output messages to prevent spam."] = true
L["Time, in seconds, you want the search to continue before it ends."] = true
L["Timer is currently running, you must stop it first before changing the interval."] = true
L["Timestamp color"] = true
L["Timestamp format"] = true
L["Timestamps"] = true
L["Toggle coloring and change of the chat frame for pet combat log messages."] = true
L["Toggle coloring and changing of the chat frame for pet battle info messages."] = true
L["Toggle the monitoring of chat events."] = true
L["Toggle the pet quality notifications when you join a wild pet battle."] = true
L["Total Modules"] = true
L["Track Pets"] = true
L["Track Stable Masters"] = true
L["Trade"] = true
L["Trigger"] = true
L["Triggers"] = true
L["Unbalanced parameter count. Trailing Symbol: |cffffff00%s|r"] = true
L["Unrecognized Symbol: |cffffff00%s|r"] = true
L["Unset variable |cffffff00%s|r."] = true
L["Use Channel Color"] = true
L["Use Coins"] = true
L["Use Custom Color"] = true
L["Use Level Threshold"] = true
L["Use PlayerNames Coloring"] = true
L["Use Server Time"] = true
L["Use Tab Complete"] = true
L["Use channel color"] = true
L["Use coins in the answers instead of abbreviations."] = true
L["Use guildnotes"] = true
L["Use server time, rather than local."] = true
L["Use tab key to automatically complete character names."] = true
L["Valid Events"] = true
L["Variable |cffffff00%s|r is set to |cff00ff00%s|r."] = true
L["Variable |cffffff00%s|r set to |cff00ff00%s|r."] = true
L["Various Developer Tools"] = true
L["Version"] = true
L["Version: |cff1784d1%s|r"] = true
L["Very doubtful."] = true
L["Warlock"] = true
L["Warrior"] = true
L["Welcome Message"] = true
L["Welcome Messages"] = true
L["What to do when a link is found.\n\n|cffffff00Replace:|r  Replaces link with just the text.\n|cffffff00Filter:|r  Filters the line.\n|cffffff00Remove:|r  Removes the link."] = true
L["What to do with Recount/Skada/TinyDPS reports in this channel."] = true
L["What to show on the datatext."] = true
L["When an ElvUI keyword is found it will show the message in a popup frame."] = true
L["When setting a variable the variable name must be the first parameter."] = true
L["Whisper"] = true
L["Whisper Answer"] = true
L["Whisper Filter"] = true
L["Whisper Messages"] = true
L["Whisper Options"] = true
L["Whisper the response to the person.  Otherwise it will be answered in the same channel the request was sent."] = true
L["Whispers"] = true
L["Who"] = true
L["Who is %s's main?"] = true
L["Who to Congratulate?"] = true
L["Who: |cffffff00%s|r, Roll: |cffffff00%s|r, Min: |cffffff00%s|r, Max: |cffffff00%s|r"] = true
L["Will save all data for large /who queries"] = true
L["Win Color"] = true
L["Without a doubt."] = true
L["Words or phrases that will trigger the filtering."] = true
L["XP Left To Level"] = true
L["Year"] = true
L["Yell"] = true
L["Yell Chat"] = true
L["Yes"] = true
L["Yes, definitely."] = true
L["You are running version |cff1784d1%s|r."] = true
L["You asked: %s"] = true
L["You can only send a request once every %d seconds.  You last sent a request at %s."] = true
L["You have met your quota of %s%s. |cff%s(%d/%d)|r"] = true
L["You have reached the maximum number of friends, please remove 2 for this addon to function properly."] = true
L["You have |cff%s%d|r of %s, you need |cff%s%d|r more. |cff%s(%d/%d)|r"] = true
L["You have |cff%s%d|r of %s."] = true
L["You have |cff9382c9Chatter|r running, which is incompatible with this addon.  Please disable it."] = true
L["You have |cff9382c9Prat-3.0|r running, which is incompatible with this addon.  Please disable it."] = true
L["You may rely on it."] = true
L["You must provide a calculation or set a variable."] = true
L["You need %s%s%s%sto hit level %d."] = true
L["Your Color"] = true
L["Your Version: |cffffff00%d|r, Latest Version: |cffffff00%d|r"] = true
L["Your version of %s is out of date.  Latest version is |cff1784d1%d|r."] = true
L["\n\n|cffff0000NOTE:|r  If this addon starts to use a substantial amount of memory, simply reset the name data and it will return to a normal level."] = true
L["\n\n|cffff0000NOTE:|r  If this addon starts to use a substantial amount of memory, simply reset the name data and it will return to a normal level.\n\nAddon Usage: |cff00ff00%s|r"] = true
L["achieve"] = true
L["alt2"] = true
L["alt3"] = true
L["ap"] = true
L["conquest"] = true
L["copper"] = true
L["cp"] = true
L["cpcap"] = true
L["ginv"] = true
L["ginvite"] = true
L["gold"] = true
L["health"] = true
L["honor"] = true
L["honour"] = true
L["inv"] = true
L["invite"] = true
L["jp"] = true
L["jpcap"] = true
L["justice"] = true
L["mana"] = true
L["power"] = true
L["silver"] = true
L["valor"] = true
L["vp"] = true
L["vpcap"] = true
L["|cFF5cb4f8Pet Battle - Tale of the Tape|r"] = true
L["|cFFccff00Not Owned|r"] = true
L["|cff00ff00%d|r Custom %s Being Used"] = true
L["|cff00ff00%s|r"] = true
L["|cff00ff00%s|r or |cff00ff00%s|r %s"] = true
L["|cff00ff00Enabled|r"] = true
L["|cff00ff96ElvUI Chat Tweaks|r by |cff9382c9Lockslap|r"] = true
L["|cff1784d1ElvUI Chat Tweaks|r version |cff1784d1%s|r"] = true
L["|cffc7c7cfs|r"] = true
L["|cffeda55fc|r"] = true
L["|cffff0000Disabled|r"] = true
L["|cffff0000ERROR|r Both messages must be set in order to use the spam method |cffffff00%s|r"] = true
L["|cffff0000Item|r |cffffffff\"%s\"|r |cffff0000does not exist.|r"] = true
L["|cffff0000No modules found.|r"] = true
L["|cffff0000The Chat Frame you chose to output reputation changes,|r |cffffffff%s|r|cffff0000, does not exist."] = true
L["|cffff9000Not in Pet Journal|r"] = true
L["|cffff9000Pet Journal:|r %s"] = true
L["|cffffd700g|r"] = true
L["|cffffff00Character already in a guild."] = true
L["|cffffff00Character already in your guild."] = true
L["|cffffff00One of your addons is breaking critical chat data I need to work properly :(|r"] = true
L["|cffffff00This abbreviation is unknown."] = true
L["|cffffff00Unable to execute secure command.|r |cffffffff%s|r"] = true
L["|cffffff00Usage: /ginvite <name>|r"] = true
L["|cffffff00Usage: /gkick <name>|r"] = true
L["|cffffff00Usage: /in <delay> <command>|r"] = true
L["|cffffff00Usage: /rpt <times> <command>|r"] = true
L["|cffffffffBlocked spam from |Hplayer:%s|h[%s]|h,|r |cfffe2ec8|Hspamfilter:%d:%s|h[Click to report!]|h|r"] = true
L["|cffffffffYou have %s.|r"] = true